{ config, pkgs, lib, ... }:

{


  config = {

    programs = {
      firefox.enable = true;
    };

    services = {
      displayManager.sddm = {
        enable = true;
        wayland.enable = true;
      pipewire = {
        enable = true;
        pulse.enable = true;
        alsa.enable = true;
      };

      };
      desktopManager.plasma6.enable = true;
    };

    users.users.cirno = {
      isNormalUser = true;
      shell = pkgs.zsh;
      home = "/home/cirno";
      description = "user for guests/cirno people";
      extraGroups = [  "wheel" "networkmanager" "kvm" "libvirtd" "audio" "dialout"  ];
      initialHashedPassword = "$6$2f8vjQbdKyEBqPRT$FrZBZfzpJGqNqLlCyb7CzRNm0wuZwfRI7Qj/dUQlbtLixyJK5Im9AJT7GXmP5StfhZxSbH/wW8nDGPQm98NXV0";
    };
  };
}
